Skip to main content
PUT
Archive a customer

Authorizations

X-API-Key
string
header
required

API Key

Headers

X-API-Version
string

Selects the API version for this request, as an ISO date (YYYY-MM-DD). Omit to use the default version (2025-03-13). Supported versions: 2025-03-13, 2026-07-01.

Path Parameters

id
string<uuid>
required

the ID of the Customer to archive

Response

Customer Archived

Customer

The customer object in Iron

created_at
string<date-time>
required

Created at timestamp of Customer

customer_type
enum<string>
required

CustomerType

Customers can either be a commercial business or a natural person

Available options:
Business,
Person
email
string
required

Email of Customer, collected during identification process

id
string<uuid>
required

Unique ID of Customer

identification_ids
string<uuid>[]
required

Identifications associated with Customer

name
string
required

Name of Customer

partner_id
string<uuid>
required

Partner ID of the customer

signing_ids
string<uuid>[]
required

Signings associated with Customer

status
enum<string>
required

The status of the Customer

Available options:
UserRequired,
SigningsRequired,
IdentificationRequired,
Active,
Suspended,
Archived
updated_at
string<date-time>
required

Updated at timestamp of Customer

active_email
string

Active email for receiving transaction emails (if different from primary email)

external_id
string

External ID for the customer, provided by the partner

identification_status
enum<string>

The Process status of the identification

The various state transitions an identification can go through.

Available options:
Pending,
Processed,
PendingReview,
Approved,
Declined,
Expired,
Archived
spending_limit_euro
string
deprecated

Deprecated — always null. Spending limits are dynamic per customer and per direction; use GET /customers/{id}/spending-limit (threshold_eur) instead.